Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.compilers
Class JRGroovyGenerator

    java.lang.Object
      net.sf.jasperreports.compilers.JRGroovyGenerator

    public class JRGroovyGenerator

extends java.lang.Object

Version:
  $Id: JRGroovyGenerator.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net), Peter Severin (peter_p_s@users.sourceforge.net)

Field Summary
`protected java.util.Map` | `fieldsMap`
`protected java.util.Map` | `parametersMap`
`protected JRSourceCompileTask` | `sourceTask`
`protected JRVariable[]` | `variables`
`protected java.util.Map` | `variablesMap`

Constructor Summary
`protected` | `JRGroovyGenerator(JRSourceCompileTask sourceTask)`

Method Summary
`protected java.lang.String` | `generateClass()`
`static java.lang.String` | `generateClass(JRSourceCompileTask sourceTask)`
`protected void` | `generateClassStart(java.lang.StringBuffer sb)`
`protected void` | `generateDeclarations(java.lang.StringBuffer sb)`
`protected void` | `generateInitFieldsMethod(java.lang.StringBuffer sb)`
`protected void` | `generateInitParamsMethod(java.lang.StringBuffer sb)`
`protected void` | `generateInitVarsMethod(java.lang.StringBuffer sb)`
`protected java.lang.String` | `generateMethod(byte evaluationType, java.util.List expressionsList)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sourceTask

    protected final JRSourceCompileTask sourceTask

### parametersMap

    protected java.util.Map parametersMap

### fieldsMap

    protected java.util.Map fieldsMap

### variablesMap

    protected java.util.Map variablesMap

### variables

    protected JRVariable[] variables

Constructor Detail

### JRGroovyGenerator

    protected JRGroovyGenerator(JRSourceCompileTask sourceTask)

Method Detail

### generateClass

    public static java.lang.String generateClass(JRSourceCompileTask sourceTask)
                                          throws JRException

  Throws:
    `JRException`

### generateClass

    protected java.lang.String generateClass()
                                      throws JRException

  Throws:
    `JRException`

### generateClassStart

    protected final void generateClassStart(java.lang.StringBuffer sb)

### generateDeclarations

    protected final void generateDeclarations(java.lang.StringBuffer sb)

### generateInitParamsMethod

    protected final void generateInitParamsMethod(java.lang.StringBuffer sb)
                                           throws JRException

  Throws:
    `JRException`

### generateInitFieldsMethod

    protected final void generateInitFieldsMethod(java.lang.StringBuffer sb)
                                           throws JRException

  Throws:
    `JRException`

### generateInitVarsMethod

    protected final void generateInitVarsMethod(java.lang.StringBuffer sb)
                                         throws JRException

  Throws:
    `JRException`

### generateMethod

    protected final java.lang.String generateMethod(byte evaluationType,
                                                    java.util.List expressionsList)
                                             throws JRException

  Throws:
    `JRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com